summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author D Woodfall2023-03-23 11:55:08 +0100
committer Willy Sudiarto Raharjo2023-03-23 11:55:08 +0100
commit5f26d16e6ad907909ede26308558bc4095b68ff1 (patch)
treea4b75b1fd07e76683226556fd555144add3eff6d
parent0a7dca664ca9d887e282c9e73ca37c45941f866a (diff)
downloadslackbuilds-5f26d16e6ad907909ede26308558bc4095b68ff1.tar.gz
network/pounce: Added (multi-client, TLS-only IRC bouncer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/pounce/README19
-rw-r--r--network/pounce/pounce.SlackBuild88
-rw-r--r--network/pounce/pounce.info10
-rw-r--r--network/pounce/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/network/pounce/README b/network/pounce/README
new file mode 100644
index 0000000000..5e62e85d38
--- /dev/null
+++ b/network/pounce/README
@@ -0,0 +1,19 @@
+pounce(1) is a multi-client, TLS-only IRC bouncer. It maintains a
+persistent connection to an IRC server, acting as a proxy and buffer for
+a number of clients. When a client connects, any messages received
+since it last disconnected will be relayed to it. Unlike some other
+bouncers, pounce uses a single buffer for all IRC messages, which acts
+as a queue from which each client reads messages independently.
+
+pounce speaks regular modern IRC to both servers and clients, using the
+server-time extension to indicate when messages originally occurred.
+Clients identify themselves to pounce by their IRC usernames. See
+QUIRKS(7) for notes on connecting pounce with particular networks and
+clients.
+
+Also included are pounce-notify(1) and pounce-palaver(1)
+
+DEPENDENCIES
+
+pounce requires either libtls or libressl. libtls is the smaller,
+faster build of the two.
diff --git a/network/pounce/pounce.SlackBuild b/network/pounce/pounce.SlackBuild
new file mode 100644
index 0000000000..6fc198a97a
--- /dev/null
+++ b/network/pounce/pounce.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/bash
+
+# slackbuild script for pounce by D Woodfall
+#
+# WTFPL licence 2023
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=pounce
+VERSION=${VERSION:-3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + \
+ -o \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --enable-notify \
+ --enable-palaver
+
+make all
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+gzip -9 $PKG/usr/man/man1/*.1
+gzip -9 -c pounce-palaver.1 > $PKG/usr/man/man1/pounce-palaver.1.gz
+gzip -9 -c pounce-notify.1 > $PKG/usr/man/man1/pounce-notify.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.7 QUIRKS.7 \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/pounce/pounce.info b/network/pounce/pounce.info
new file mode 100644
index 0000000000..e31f88a0d5
--- /dev/null
+++ b/network/pounce/pounce.info
@@ -0,0 +1,10 @@
+PRGNAM="pounce"
+VERSION="3.1"
+HOMEPAGE="https://git.causal.agency/pounce/about/"
+DOWNLOAD="https://git.causal.agency/pounce/snapshot/pounce-3.1.tar.gz"
+MD5SUM="db31cc00c084bb803f21615f6ac899c8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libtls"
+MAINTAINER="D Woodfall"
+EMAIL="dave@slackbuilds.org"
diff --git a/network/pounce/slack-desc b/network/pounce/slack-desc
new file mode 100644
index 0000000000..f869d4ff6c
--- /dev/null
+++ b/network/pounce/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pounce: pounce (multi-client, TLS-only IRC bouncer)
+pounce:
+pounce: pounce(1) is a multi-client, TLS-only IRC bouncer. It maintains a
+pounce: persistent connection to an IRC server, acting as a proxy and
+pounce: buffer for a number of clients.
+pounce:
+pounce: https://git.causal.agency/pounce/about/
+pounce:
+pounce:
+pounce:
+pounce: